--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

function NS:LoadSettingsCombatLog(reset)
	local FauxMazzle = {
		["hasQuickButton"] = true,
		["onQuickBar"] = true,
		["settings"] = {
			["abilityHighlighting"] = true,
			["lineColoring"] = false,
			["spellBraces"] = true,
			["sourceColoring"] = true,
			["showHistory"] = true,
			["destColoring"] = true,
			["amountHighlighting"] = true,
			["schoolNameColoring"] = false,
			["abilitySchoolColoring"] = false,
			["sourceBraces"] = true,
			["missColoring"] = true,
			["itemBraces"] = true,
			["abilityColoring"] = true,
			["amountActorColoring"] = false,
			["textMode"] = "A",
			["destBraces"] = true,
			["timestamp"] = false,
			["actionColoring"] = false,
			["fullText"] = false,
			["lineColorPriority"] = 1,
			["lineHighlighting"] = true,
			["abilityActorColoring"] = false,
			["actionHighlighting"] = false,
			["braces"] = true,
			["unitBraces"] = true,
			["schoolNameHighlighting"] = true,
			["unitIcons"] = true,
			["hideBuffs"] = false,
			["unitColoring"] = true,
			["amountSchoolColoring"] = false,
			["amountColoring"] = true,
			["hideDebuffs"] = false,
			["noMeleeSwingColoring"] = false,
			["timestampFormat"] = "%H:%M:%S",
			["schoolNameActorColoring"] = false,
			["actionActorColoring"] = false,
		},
		["quickButtonDisplay"] = {
			["party"] = true,
			["solo"] = true,
			["raid"] = true,
		},
		["colors"] = {
			["schoolColoring"] = {
				{
					["a"] = 1,
					["r"] = 1,
					["g"] = 1,
					["b"] = 0,
				}, -- [1]
				{
					["a"] = 1,
					["r"] = 1,
					["g"] = 0.9,
					["b"] = 0.5,
				}, -- [2]
				nil, -- [3]
				{
					["a"] = 1,
					["r"] = 1,
					["g"] = 0.5,
					["b"] = 0,
				}, -- [4]
				[0] = {
					["a"] = 1,
					["r"] = 1,
					["g"] = 1,
					["b"] = 1,
				},
				[8] = {
					["a"] = 1,
					["r"] = 0.3,
					["g"] = 1,
					["b"] = 0.3,
				},
				[32] = {
					["a"] = 1,
					["r"] = 0.5,
					["g"] = 0.5,
					["b"] = 1,
				},
				[16] = {
					["a"] = 1,
					["r"] = 0.5,
					["g"] = 1,
					["b"] = 1,
				},
				[64] = {
					["a"] = 1,
					["r"] = 1,
					["g"] = 0.5,
					["b"] = 1,
				},
			},
			["unitColoring"] = {
				[32334] = {
					["a"] = 1,
					["r"] = 0.75,
					["g"] = 0.05,
					["b"] = 0.05,
				},
				[2147483648] = {
					["a"] = 1,
					["r"] = 0.75,
					["g"] = 0.75,
					["b"] = 0.75,
				},
				[32558] = {
					["a"] = 1,
					["r"] = 0.75,
					["g"] = 0.05,
					["b"] = 0.05,
				},
				[32078] = {
					["a"] = 1,
					["r"] = 0.75,
					["g"] = 0.05,
					["b"] = 0.05,
				},
				[32542] = {
					["a"] = 1,
					["r"] = 0.34,
					["g"] = 0.64,
					["b"] = 1,
				},
				[17681] = {
					["a"] = 1,
					["r"] = 0.196078431372549,
					["g"] = 0.5294117647058824,
					["b"] = 0.7843137254901961,
				},
				[12561] = {
					["a"] = 1,
					["r"] = 0.7,
					["g"] = 0.7,
					["b"] = 0.7,
				},
			},
			["highlightedEvents"] = {
				["PARTY_KILL"] = true,
			},
			["defaults"] = {
				["spell"] = {
					["a"] = 1,
					["r"] = 0.3803921568627451,
					["g"] = 0.7176470588235294,
					["b"] = 1,
				},
				["damage"] = {
					["a"] = 1,
					["r"] = 1,
					["g"] = 0.3411764705882353,
					["b"] = 0.2705882352941176,
				},
			},
			["eventColoring"] = {
			},
		},
		["tooltip"] = "",
		["name"] = "FauxMazzle",
		["filters"] = {
			{
				["sourceFlags"] = {
					[17681] = true,
					[12561] = true,
				},
				["eventList"] = {
					["SPELL_PERIODIC_MISSED"] = true,
					["SPELL_SUMMON"] = true,
					["SPELL_INTERRUPT"] = true,
					["SPELL_AURA_APPLIED_REMOVED_DOSE"] = true,
					["UNIT_DESTROYED"] = true,
					["SPELL_RESURRECT"] = true,
					["DAMAGE_SHIELD_MISSED"] = true,
					["SPELL_LEECH"] = true,
					["SPELL_AURA_BROKEN"] = true,
					["SPELL_BUILDING_DAMAGE"] = true,
					["SPELL_PERIODIC_ENERGIZE"] = true,
					["DAMAGE_SPLIT"] = true,
					["UNIT_DISSIPATES"] = true,
					["SPELL_INSTAKILL"] = true,
					["SPELL_PERIODIC_DAMAGE"] = true,
					["SPELL_PERIODIC_HEAL"] = true,
					["PARTY_KILL"] = true,
					["SPELL_DAMAGE"] = true,
					["RANGE_DAMAGE"] = true,
					["ENVIRONMENTAL_DAMAGE"] = true,
					["SPELL_DISPEL"] = true,
					["SPELL_EXTRA_ATTACKS"] = true,
					["DAMAGE_SHIELD"] = true,
					["SPELL_STOLEN"] = true,
					["SPELL_ENERGIZE"] = true,
					["UNIT_DIED"] = true,
					["SPELL_AURA_APPLIED"] = true,
					["SWING_MISSED"] = true,
					["ENCHANT_REMOVED"] = true,
					["SPELL_BUILDING_HEAL"] = true,
					["SPELL_DURABILITY_DAMAGE_ALL"] = true,
					["SPELL_AURA_REMOVED_DOSE"] = true,
					["SPELL_CAST_SUCCESS"] = true,
					["SPELL_PERIODIC_LEECH"] = true,
					["SPELL_DURABILITY_DAMAGE"] = true,
					["SPELL_CAST_FAILED"] = true,
					["ENCHANT_APPLIED"] = true,
					["SPELL_DISPEL_FAILED"] = true,
					["SPELL_AURA_REFRESH"] = true,
					["SPELL_AURA_APPLIED_DOSE"] = true,
					["SPELL_AURA_REMOVED"] = true,
					["SWING_DAMAGE"] = true,
					["SPELL_AURA_BROKEN_SPELL"] = true,
					["SPELL_CREATE"] = true,
					["RANGE_MISSED"] = true,
					["SPELL_HEAL"] = true,
					["SPELL_CAST_START"] = true,
					["SPELL_MISSED"] = true,
					["SPELL_PERIODIC_DRAIN"] = true,
					["SPELL_DRAIN"] = true,
				},
			}, -- [1]
			{
				["destFlags"] = {
					[17681] = true,
					[12561] = true,
				},
				["eventList"] = {
					["SPELL_PERIODIC_MISSED"] = true,
					["SPELL_SUMMON"] = true,
					["SPELL_INTERRUPT"] = true,
					["UNIT_DESTROYED"] = true,
					["SPELL_RESURRECT"] = true,
					["DAMAGE_SHIELD_MISSED"] = true,
					["SPELL_LEECH"] = true,
					["SPELL_AURA_BROKEN"] = true,
					["SPELL_BUILDING_DAMAGE"] = true,
					["SPELL_PERIODIC_ENERGIZE"] = true,
					["DAMAGE_SPLIT"] = true,
					["UNIT_DISSIPATES"] = true,
					["SPELL_INSTAKILL"] = true,
					["SPELL_PERIODIC_DAMAGE"] = true,
					["SPELL_PERIODIC_HEAL"] = true,
					["PARTY_KILL"] = true,
					["SPELL_DAMAGE"] = true,
					["RANGE_DAMAGE"] = true,
					["ENVIRONMENTAL_DAMAGE"] = true,
					["SPELL_DISPEL"] = true,
					["SPELL_EXTRA_ATTACKS"] = true,
					["DAMAGE_SHIELD"] = true,
					["SPELL_STOLEN"] = true,
					["SPELL_ENERGIZE"] = true,
					["UNIT_DIED"] = true,
					["SPELL_AURA_APPLIED"] = true,
					["SWING_MISSED"] = true,
					["ENCHANT_REMOVED"] = true,
					["SPELL_BUILDING_HEAL"] = true,
					["SPELL_DURABILITY_DAMAGE_ALL"] = true,
					["SPELL_AURA_REMOVED_DOSE"] = true,
					["SPELL_CAST_SUCCESS"] = true,
					["SPELL_PERIODIC_LEECH"] = true,
					["SPELL_DURABILITY_DAMAGE"] = true,
					["SPELL_CAST_FAILED"] = true,
					["ENCHANT_APPLIED"] = true,
					["SPELL_DISPEL_FAILED"] = true,
					["SPELL_AURA_REFRESH"] = true,
					["SPELL_AURA_APPLIED_DOSE"] = true,
					["SPELL_AURA_REMOVED"] = true,
					["SWING_DAMAGE"] = true,
					["SPELL_AURA_BROKEN_SPELL"] = true,
					["SPELL_CREATE"] = true,
					["RANGE_MISSED"] = true,
					["SPELL_HEAL"] = true,
					["SPELL_CAST_START"] = true,
					["SPELL_MISSED"] = true,
					["SPELL_PERIODIC_DRAIN"] = true,
					["SPELL_DRAIN"] = true,
				},
			}, -- [2]
		},
	}
	return FauxMazzle
end
